# Release Notes - cell2cell v0.5.11

## New features
- Created a new function to use external communication scores, generated with other tools. This function can be found in
```cell2cell.tensor.external_scores.dataframes_to_tensor()```.
- Added ```cell2cell.tensor.tensor.BaseTensor.loc_nans```, ```cell2cell.tensor.tensor.BaseTensor.loc_zeros```, and same attributes in
heirs tensor classes to keep track of values assigned with NaNs and with real zeros, respectively.
- ```cell2cell.tensor.external_scores.dataframes_to_tensor()``` also incorporates the previous point to keep track
of NaNs and real zeros when using external communication scores.
- Added ```lr_fill``` and ```cell_fill``` parameters to ```cell2cell.tensor.external_scores.dataframes_to_tensor()```

## Feature updates
- Added two new options to the parameter ```how``` in ```cell2cell.tensor.build_context_ccc_tensor()```.
They are: ```how='outer_genes'``` and ```how='outer_cells'``` . These new options were also extended to all InteractionTensors
derived from ```cell2cell.tensor.tensor.BaseTensor```.
- These options of how were also extended to the new function ```cell2cell.tensor.external_scores.dataframes_to_tensor()```,
but here implemented as ```how='outer_lrs'``` and ```how='outer_cells'```.
- Implemented multiple to options to aggregate gene expression of protein complexes. Available options are using the
minimum expression or the average expression among the subunits. This can be controlled with the parameter
```complex_agg_method='min'``` or ```complex_agg_method='mean'``` when creating a ```cell2cell.tensor.InteractionTensor```,
```cell2cell.core.InteractionSpace```, ```cell2cell.analysis.BulkInteractions``` pipeline, or ```cell2cell.analysis.SingleCellInteractions``` pipeline.
- The previous point relies on the function ```cell2cell.preprocessing.rnaseq.add_complexes_to_expression()``` through
the parameter ```agg_method='min'``` or ```agg_method='mean'```
- Added parameter ```cbar_label``` to the function ```cell2cell.plotting.factor_plot.loading_clustermap()```
to personalize the title of the color bar.
- Added parameter ```manual_elbow``` to ```cell2cell.tensor.tensor.BaseTensor.elbow_rank_selection()``` to manually specify
the elbow to highlight.
 
## Fixed Bugs
- Renamed ```cell2cell.plotting.circos_plot``` into ```cell2cell.plotting.circular_plot``` to avoid incompatibility with
function ```cell2cell.plotting.circos_plot.circos_plot()``` that is directly imported under ```cell2cell.plotting```