# Release Notes - cell2cell v0.6.0

## New features
- Added 'gmean' as method to compute expression of protein complexes.
It involves function ```cell2cell.preprocessing.rnaseq.add_complexes_to_expression()```
and all objects calling it.
- Added new parameters for improving robustness of tensor factorization. These are
```n_iter_max``` and ```tol```. Higher n_iter_max and lower tol retrieves better optimal
solutions, but at the expense of more running time. Available in:
```cell2cell.tensor.factorization._compute_tensor_factorization()```
and in ```cell2cell.tensor.tensor.BaseTensor.compute_tensor_factorization()``` and all heir classes.
- Similar to the previous point, the parameter ```svd``` was added to these functions. This allows to control
the type of svd method to use when using ```init='svd'```. See documentation for more information.
- Added new methods/options for running a tensor decomposition in ```cell2cell.tensor.factorization._compute_tensor_factorization()```
and in ```cell2cell.tensor.tensor.BaseTensor.compute_tensor_factorization()``` and all heir classes.
 This can be controlled with the parameter ```tf_type```. See documentation for
more options.
- Added option to do a deep copy of any tensor of the class ```cell2cell.tensor.tensor.BaseTensor``` and its
heir classes. Available through ```BaseTensor.copy()```.
- Added new CCI score based on ICELLNET (```cell2cell.core.cci_scores```). Available in the functions
of the regular cell2cell tool (```cell2cell.core.interaction_space```, ```cell2cell.analysis.pipelines.BulkInteractions```, 
and ```cell2cell.analysis.pipelines.SingleCellInteractions```)
- Added new function to handle duplicate elements ```cell2cell.preprocessing.find_elements.find_duplicates()```
- Modified functions in ```cell2cell.tensor.subset``` to handle duplicate elements
- Added new function to concatenate InteractionTensors: ```cell2cell.tensor.tensor_manipulation.concatenate_interaction_tensors()```

## Feature updates
- Updated dependency version of tensorly to 0.7.0
 
## Fixed Bugs
- Fixed bug of return_errors in tensor decomposition using regular non_negative_parafac.
 New version of tensorly returns decomposition and error as a tuple in other decomposition methods.
- Fixed bug of changing diagonal values of the input matrix to zeros when using ```cell2cell.plotting.cci_plot.clustermap_cci```