# Release Notes - cell2cell v0.6.2

## New features
- Added a parameter `output_fig` to ```cell2cell.tensor.tensor.BaseTensor.elbow_rank_selection()``` that
allows deciding whether to generate the figure. If `output_fig=False`, the outputs of this function
will be `(None, loss)`.
- Created ```cell2cell.preprocessing.signal``` to include functions such as ```smooth_curve()```
to smooth a set of values representing a curve.
- Implemented curve smoothing for the elbow analysis of Tensor-cell2cell. It can be accessed wit the parameter
```smooth=True``` in ```cell2cell.tensor.tensor.BaseTensor.elbow_rank_selection()``` or in any other InteractionTensor.
- Implemented curve smoothing for the elbow plot designed for multiple runs.
It can be accessed wit the parameter
```smooth=True``` in ```cell2cell.plotting.tensor_plot.plot_multiple_run_elbow()```.
- Implemented ```cell2cell.tensor.metrics.pairwise_correlation_index()``` to compute the CorrIndex
between all pairs of tensor decompositions in a list.
- Implemented elbow analysis based on similarity of multiple runs. This can be control with the option
```metric='similarity'``` in ```cell2cell.tensor.tensor.BaseTensor.elbow_rank_selection()``` or in any other InteractionTensor.
Use ```metric='error'``` for the normalized error used in previous versions.

## Feature updates
- Modified the way to compute normalized error of tensor decomposition in
```cell2cell.tensor.factorization._compute_norm_error()```
- Added the option to directly pass a `ylabel` to the elbow plots, including:
```cell2cell.plotting.tensor_plot.plot_elbow()``` and ```cell2cell.plotting.tensor_plot.plot_multiple_run_elbow()```
- Extended input parameters of ```cell2cell.tensor.factorization._compute_elbow()```

 
## Fixed Bugs
- 